//*************************************************************
//システム名     コア物品／発注者
//サブシステム名 発注者
/**
 * 調達案件選択画面(指名先選択)
 * @author NEC
 * @version 1.0, 2002.07.23, 新規作成
 *          4.0, 2004.04.13, V4-案件検索機能の強化<BR>
 */
//*************************************************************


/* HTML読込み時の初期処理 */
function onStart() {         
  /* HTMLが読み込まれた際に、初期処理用関数を呼び出す */
  onLoad();
}

/* 検索実行 */
function submitQuery() {   

  document.formHPR00901.searchProjectNumber.value = document.formProject.searchProjectNumber.value;
  document.formHPR00901.searchProjectName.value = document.formProject.searchProjectName.value;
  document.formHPR00901.tenderMethodCode.value = document.formProject.tenderMethodCode.options[document.formProject.tenderMethodCode.selectedIndex].value;
  document.formHPR00901.officeNumber.value = document.formProject.officeName.options[document.formProject.officeName.selectedIndex].value;
  document.formHPR00901.searchSubmitDateFrom.value = document.formProject.searchSubmitDateFrom.value;
  document.formHPR00901.searchSubmitDateTo.value = document.formProject.searchSubmitDateTo.value;
  document.formHPR00901.searchExecuteDateFrom.value = document.formProject.searchExecuteDateFrom.value;
  document.formHPR00901.searchExecuteDateTo.value = document.formProject.searchExecuteDateTo.value;
  document.formHPR00901.projectStatusCode.value = document.formProject.projectStatusCode.options[document.formProject.projectStatusCode.selectedIndex].value;
  document.formHPR00901.nextListStartIndex.value = "1";
  document.formHPR00901.showRange.value = document.formProject.showRange.value;

  // 処理区分に0(新規検索)を設定
  document.formHPR00901.syoriKbn.value ="0";

  // 案件表示順序selectコンポーネント設定
  /* 案件表示順序コンボBOXの何番めが選択状態かを取得 */
  var n = document.formProject.sortNo.selectedIndex;
  /* 案件表示順序のN番目のvalue値を設定 */
  document.formHPR00901.sortNo.value = document.formProject.sortNo.options[n].value;

  // 昇順･降順radioコンポーネント設定
  if (document.formProject.sortFlag[0].checked) {
    document.formHPR00901.sortFlag.value = document.formProject.sortFlag[0].value;
  }else if (document.formProject.sortFlag[1].checked) {
    document.formHPR00901.sortFlag.value = document.formProject.sortFlag[1].value;
  }

  dispatch(document.formHPR00901, "H513HPR009");
}

/* 「次へ」「前へ」ボタン及びページインデックスによる遷移 */
function searchIndex(argIndex)
{
  //引数を表示開始位置に設定する
  document.formHPR00901.nextListStartIndex.value = argIndex

  // 処理区分に1(セッションの検索条件で検索, 表示開始位置のみ更新)を設定
  document.formHPR00901.syoriKbn.value ="1";

  dispatch(document.formHPR00901, "H513HPR009");
}

/* 指名先画面・見積先画面に遷移 */
function selectTenderCompany(pjnum,tmnum) {

  //送信フォームに調達案件番号をセットする
  document.formHPR00902.projectNumber.value  = pjnum;
/*
  if (tmnum == "8003010" || 
      tmnum == "8003020" || 
      tmnum == "8003040" || 
      tmnum == "8003050" ) {
    dispatch(document.formHPR00902, "H513HPR010");
  } else if 
     (tmnum == "8004010" ||
      tmnum == "8004025" ||
      tmnum == "8004020" ||
      tmnum == "8004015" ) {
    dispatch(document.formHPR00902, "H513HPR013");
  } else return;
*/
    dispatch(document.formHPR00902, "H513HPR010");
}

/* 見積先選択画面（不落随契）に遷移 */
function selectFreeContactCompany(pjnum,tmnum) {

  return;
  
}

/* 調達案件情報画面に遷移 */
function chotatsu_anken_hyouzi(arg) {
  document.formHPR00903.projectNumber.value =arg;
  document.formRegist = new Object();
  document.formRegist = document.formHPR00903;
  dispatchPopup( document.formHPR00903, "H509HPR005");
}

